starter.config(function ($stateProvider) {
    $stateProvider.state('daily', {
        url: '/index',
        templateUrl: 'templates/daily.html',
        controller: 'DailyCtrl'
    })

    .state('daily-man', {
        url: '/daily-man',
        templateUrl: 'templates/daily-man.html'
    })

    .state('daily-read', {
        url: '/daily-read',
        templateUrl: 'templates/daily-read.html',
        controller: 'DailyReadCtrl'
    })

    .state('daily-details', {
        url: '/daily/:id',
        templateUrl: 'templates/daily-details.html',
        controller: 'DailyDetailsCtrl'
    })

    .state('daily-edit', {
        url: '/daily-edit/:flag',
        templateUrl: 'templates/daily-edit.html',
        controller: 'DailyEditCtrl'
    })

    .state('daily-readMonthCount', {
        url: '/daily-readMonthCount/:daily_dd',
        templateUrl: 'templates/daily-readMouthCount.html',
        controller: 'DailyReadMonthCountCtrl'
    })

    .state('daily-readDay', {
        url: '/daily-read/:daily_dd',
        templateUrl: 'templates/daily-readDay.html',
        controller: 'DailyReadDayCtrl'
    })

    .state('daily-readDayCount', {
        url: '/daily-readDayCount/:daily_dd',
        templateUrl: 'templates/daily-readDayCount.html',
        controller: 'DailyReadDayCountCtrl'
    })

    .state('daily-readDayDeptCount', {
        url: '/daily-readDayCount/:daily_dd&:dept&:flag',
        templateUrl: 'templates/daily-readDayDeptCount.html',
        controller: 'DailyReadDayDeptCountCtrl'
    })

    .state('daily-permission', {
        url: '/daily-permission',
        templateUrl: 'templates/daily-permission.html',
        controller: 'DailyPermissionCtrl'
    })

    .state('selectdeptoritem', {
        url: '/selectdeptoritem/:id',
        templateUrl: 'templates/selectdeptoritem.html',
        controller: 'SelectDeptOrItemCtrl'
    })

    .state('daily-template', {
        url: '/daily-template',
        templateUrl: 'templates/daily-template.html',
        controller: 'DailyTemplateCtrl'
    })

    .state('daily-templateScope', {
        url: '/daily-templateScope/:id',
        templateUrl: 'templates/daily-templateScope.html',
        controller: 'DailyTemplateScopeCtrl'
    })

    .state('daily-templateEdit', {
        url: '/daily-templateEdit/:id',
        templateUrl: 'templates/daily-templateEdit.html',
        controller: 'DailyTemplateEditCtrl'
    })

    .state('custom-form', {
        url: '/custom-form/:id',
        templateUrl: 'templates/custom-form.html',
        controller: 'CustomFormCtrl'
    })

    .state('additem', {
        url: '/additem',
        templateUrl: 'templates/additem.html',
        controller: 'AddItemCtrl'
    })
});